Bug 850791 - Review Request: ahcpd - Ad-hoc network configuration daemon
Review Request: ahcpd - Ad-hoc network configuration daemon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 08:33 EDT by Gwyn Ciesla
Modified: 2012-09-17 18:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-08 22:49:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2012-08-22 08:33:14 EDT
Description:
AHCP is a configuration protocol that can replace DHCP on networks without 
transitive connectivity, such as mesh networks.

SPEC: http://fedorapeople.org/~limb/review/ahcpd/ahcpd.spec
SRPM: http://fedorapeople.org/~limb/review/ahcpd/ahcpd-0.53-1.fc17.src.rpm
Comment 1 Michael Scherer 2012-08-22 17:50:37 EDT
Since that rpm is almost the same as babeld ( maybe you did a cut and paste and search and replace :) ), I would add the same comments than on https://bugzilla.redhat.com/show_bug.cgi?id=850789#c1 ( without the review part for now )
Comment 2 Gwyn Ciesla 2012-08-23 09:44:31 EDT
More or less. :)  I'll leave this alone until babeld is done, and then apply those fixes here.
Comment 3 Gwyn Ciesla 2012-08-27 21:51:46 EDT
SPEC: http://fedorapeople.org/~limb/review/ahcpd/ahcpd.spec
SRPM: http://fedorapeople.org/~limb/review/ahcpd/ahcpd-0.53-2.fc17.src.rpm

New version with lessons learned from babeld.
Comment 4 Michael Scherer 2012-08-30 07:46:23 EDT
There is a few warning with %defattr and others, and I would recommend to clean them ( because i like clean stuff ), otherwise, that's good.

For some reason, the log file was not created however, maybe just systemd integration ( or maybe just me ). Anyway, unless i can do real testing, i will consider this is something that you can address once you start to use it.

package approved.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)" For detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/850791-ahcpd/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: No description
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define _hardened_build 1

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Issues:
=======
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: (this test has no URL)
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


Rpmlint
-------
Checking: ahcpd-debuginfo-0.53-2.fc17.x86_64.rpm
          ahcpd-0.53-2.fc17.src.rpm
          ahcpd-0.53-2.fc17.x86_64.rpm
ahcpd.src: W: spelling-error Summary(en_US) hoc -> ho, choc, hock
ahcpd.x86_64: W: spelling-error Summary(en_US) hoc -> ho, choc, hock
ahcpd.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ahcpd ahcpd-debuginfo
ahcpd.x86_64: W: spelling-error Summary(en_US) hoc -> ho, choc, hock
ahcpd.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
ahcpd-debuginfo-0.53-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

ahcpd-0.53-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    config(ahcpd) = 0.53-2.fc17
    libc.so.6()(64bit)  
    librt.so.1()(64bit)  
    rtld(GNU_HASH)  
    systemd-units  



Provides
--------
ahcpd-debuginfo-0.53-2.fc17.x86_64.rpm:
    
    ahcpd-debuginfo = 0.53-2.fc17
    ahcpd-debuginfo(x86-64) = 0.53-2.fc17

ahcpd-0.53-2.fc17.x86_64.rpm:
    
    ahcpd = 0.53-2.fc17
    ahcpd(x86-64) = 0.53-2.fc17
    config(ahcpd) = 0.53-2.fc17



MD5-sum check
-------------
http://www.pps.univ-paris-diderot.fr/~jch/software/files/ahcpd-0.53.tar.gz :
  CHECKSUM(SHA256) this package     : a4622e817d2b2a9b878653f085585bd57f3838cc546cca6028d3b73ffcac0d52
  CHECKSUM(SHA256) upstream package : a4622e817d2b2a9b878653f085585bd57f3838cc546cca6028d3b73ffcac0d52


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 850791
Comment 5 Gwyn Ciesla 2012-08-30 07:56:10 EDT
I'll look at the log issue.  Thanks very much!

New Package SCM Request
=======================
Package Name: ahcpd
Short Description: Ad-hoc network configuration daemon
Owners: limb
Branches: f16 f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-30 07:58:21 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-08-30 09:02:28 EDT
ahcpd-0.53-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ahcpd-0.53-2.fc17
Comment 8 Fedora Update System 2012-08-30 09:02:40 EDT
ahcpd-0.53-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ahcpd-0.53-2.fc18
Comment 9 Fedora Update System 2012-08-30 09:02:58 EDT
ahcpd-0.53-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ahcpd-0.53-2.fc16
Comment 10 Fedora Update System 2012-08-30 14:20:19 EDT
ahcpd-0.53-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-08 22:49:22 EDT
ahcpd-0.53-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-09-08 22:53:54 EDT
ahcpd-0.53-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-09-17 18:22:01 EDT
ahcpd-0.53-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.